﻿//Small speech bubble that appears above player's head when they do a Follow(); or Command();

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CommandBubble : MonoBehaviour {

	private int counter = 0;
	private int countLimit = 30;
	private float fadeSpeed = .025f;

	void Update () {
		counter++;
		if (counter > countLimit) {	//Slowly fades out
			GetComponent<SpriteRenderer> ().color = new Vector4 (1,1,1,GetComponent<SpriteRenderer>().color.a - fadeSpeed);
			if (GetComponent<SpriteRenderer> ().color.a <= .001)
				Destroy (gameObject);
		}
	}
}
